%global __requires_exclude perl\\(Shutter::.*\\)
%global __provides_exclude perl\\(.*\\)

Summary:	Feature-rich screenshot application
Name:		shutter
Version:	0.99.4
Release:	%mkrel 3
License:	GPLv3+ and GPLv2+
Group:		Graphical desktop/GNOME
URL:		https://shutter-project.org/
Source:		https://github.com/shutter-project/shutter/archive/v%{version}/%{name}-%{version}.tar.gz
Patch1:		shutter-0.99.4-mga-fix-utf8-locale.patch
Patch10:	0001-Update-version.patch
BuildArch:	noarch
Requires:	typelib(GooCanvas)
Requires:	typelib(Wnck) = 3.0
Recommends:	perl-Image-ExifTool

%description
Shutter is a feature-rich screenshot program. You can take a screenshot of a
specific area, window, your whole screen, or even of a website - apply
different effects to it, draw on it to highlight points, and then upload
to an image hosting site, all within one window.

%prep
%setup -q
# Please DO NOT convert to %%autopatch - I dislike it, and it prevents from
# using the -b flag. -- Shlomi Fish
%patch -P 1 -p1
%patch -P 10 -p1

# Confuses the shutter installer.
rm -f $(find . -name '*.LEFT_BRACE_WARN')
rm -f $(find . -name '*.UTF8_LOCALE_')

%build
%make_build

%install
# Remove non-standard groups
perl -i -ln -e 'print unless m{\A\[(Select|Screen|Window|Active) Shortcut Group\]\s*\z}..m{\A\s*\z}' share/applications/%{name}.desktop

install -d -m 755 %{buildroot}%{_bindir}
install -m 755 bin/shutter %{buildroot}%{_bindir}

install -d -m 755 %{buildroot}%{_datadir}
cp -pr share/* %{buildroot}%{_datadir}

%find_lang %{name} --all-name

%files -f %{name}.lang
%license COPYING
%doc README
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_metainfodir}/%{name}.metainfo.xml
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/*/*/apps/shutter{,-panel}.{png,svg}
%{_datadir}/pixmaps/%{name}.png
%{_mandir}/man1/shutter.1*


%changelog
* Mon Jun 30 2025 umeabot <umeabot> 0.99.4-3.mga10
+ Revision: 2232233
- Mageia 10 Mass Rebuild

* Sun Dec 22 2024 pterjan <pterjan> 0.99.4-2.mga10
+ Revision: 2128164
- Rebuild for patchN deprecation

* Thu Jun 01 2023 daviddavid <daviddavid> 0.99.4-1.mga9
+ Revision: 1960503
- new version: 0.99.4

* Thu Jun 01 2023 daviddavid <daviddavid> 0.99.2-3.mga9
+ Revision: 1960485
- add missing dependency on typelib(Wnck) (mga#31983)

* Mon Mar 21 2022 umeabot <umeabot> 0.99.2-2.mga9
+ Revision: 1815295
- Mageia 9 Mass Rebuild

* Wed Nov 10 2021 wally <wally> 0.99.2-1.mga9
+ Revision: 1755808
- new version 0.99.2

* Sat Feb 15 2020 umeabot <umeabot> 0.94.3-2.mga8
+ Revision: 1527256
- Mageia 8 Mass Rebuild

* Sun Jul 14 2019 shlomif <shlomif> 0.94.3-1.mga8
+ Revision: 1421164
- New version 0.94.3
+ wally <wally>
- drop gnome-web-photo recommends

* Fri Sep 21 2018 umeabot <umeabot> 0.94-2.mga7
+ Revision: 1291482
- Mageia 7 Mass Rebuild

* Sat Feb 24 2018 shlomif <shlomif> 0.94-1.mga7
+ Revision: 1204866
- New version 0.94

* Fri Aug 18 2017 neoclust <neoclust> 0.93.1-7.mga7
+ Revision: 1141454
- Add P5 - Fixes CVE-2016-10081 (mga#21560)

* Sun May 14 2017 shlomif <shlomif> 0.93.1-6.mga6
+ Revision: 1101085
- Add a patch to remove JSON::XS .

* Thu Feb 18 2016 alexl <alexl> 0.93.1-5.mga6
+ Revision: 967165
- fix detect plugins (mga#17794)
+ shlomif <shlomif>
- Convert away from %%autopatch. Sigh.

* Thu Oct 15 2015 alexl <alexl> 0.93.1-4.mga6
+ Revision: 891730
- fix utf8 locale (mga#14541), thanks for admsasha for fix-utf8-locale.patch
- s/patch/autopatch/

* Fri Sep 18 2015 shlomif <shlomif> 0.93.1-3.mga6
+ Revision: 880320
- Add a patch to fix a warning
- New version 0.93.1 - remove unnecessary patches

* Fri Sep 18 2015 shlomif <shlomif> 0.93-7.mga6
+ Revision: 880314
- Add missing recommends for perl-Image-ExifTool
- Fix for a warning/bug with ref(@array)

* Fri Sep 18 2015 shlomif <shlomif> 0.93-6.mga6
+ Revision: 880308
- Fix CVE-2015-0854 (mga#16754)

* Wed Jul 15 2015 shlomif <shlomif> 0.93-5.mga6
+ Revision: 854409
- Fix running on latest perls (defined @ARRAY)

* Wed Oct 15 2014 umeabot <umeabot> 0.93-4.mga5
+ Revision: 749818
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.93-3.mga5
+ Revision: 689150
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes
- s/uggests:/Recommends:/

* Sun Sep 14 2014 alexl <alexl> 0.93-2.mga5
+ Revision: 675512
- fixed license tag in spec
- translated desktop file (i18n-desktop.patch)
- cleanup spec

* Sat Aug 30 2014 daviddavid <daviddavid> 0.93-1.mga5
+ Revision: 669615
- new version: 0.93

* Sat Jun 28 2014 pterjan <pterjan> 0.91-1.mga5
+ Revision: 640768
- 0.91

* Sat Oct 19 2013 umeabot <umeabot> 0.90-2.mga4
+ Revision: 526243
- Mageia 4 Mass Rebuild

* Mon Jun 03 2013 kharec <kharec> 0.90-1.mga4
+ Revision: 436389
- update to 0.90
- update file list to install new icons

* Mon Jan 14 2013 umeabot <umeabot> 0.89.1-3.mga3
+ Revision: 382007
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Sep 01 2012 guillomovitch <guillomovitch> 0.89.1-2.mga3
+ Revision: 286891
- drop useless build dependency
- own %%{_datadir}/shutter
- cleanup installation
- drop useless obsoletes tag
- drop useless explicit perl dependencies
- cleanup automatic dependencies exceptions
- spec cleanup

* Sun Aug 26 2012 kharec <kharec> 0.89.1-1.mga3
+ Revision: 284058
- version 0.89.1

* Mon May 28 2012 kharec <kharec> 0.88.3-1.mga3
+ Revision: 248724
- Update to 0.88.3

* Sat Feb 25 2012 kharec <kharec> 0.88.2-1.mga2
+ Revision: 214384
- update to 0.88.2

* Fri Dec 30 2011 shlomif <shlomif> 0.88.1-3.mga2
+ Revision: 189050
- Add missing dependencies. Thanks to ryoshu.

* Fri Dec 09 2011 kharec <kharec> 0.88.1-2.mga2
+ Revision: 179769
- Add a _requires_exceptions on perl(Shutter::Upload::Shared) to fix install

* Mon Dec 05 2011 kharec <kharec> 0.88.1-1.mga2
+ Revision: 176787
- new version 0.88.1
- package new translations files

* Sat Nov 26 2011 shlomif <shlomif> 0.87.3-7.mga2
+ Revision: 172329
- Add XML::Simple as a dep. Thanks to ryoshu

* Sun Nov 06 2011 shlomif <shlomif> 0.87.3-6.mga2
+ Revision: 164171
- Add Image::ExifTool to the dependencies

* Wed Oct 26 2011 shlomif <shlomif> 0.87.3-5.mga2
+ Revision: 158226
- Fixed long line in description as warned by rpmlint
- Add missing requires - see https://bugs.mageia.org/show_bug.cgi?id=3185

* Mon Oct 10 2011 shlomif <shlomif> 0.87.3-3.mga2
+ Revision: 153680
- Fixed the /usr/share/applications/.desktop file to make it more standard
- Got rid of the false Perl Provides by this application.

* Tue Jul 05 2011 kharec <kharec> 0.87.3-1.mga2
+ Revision: 118715
- new version 0.87.3

* Mon Jul 04 2011 kharec <kharec> 0.86.3-1.mga2
+ Revision: 118385
- imported package shutter

